## com.sun.jersey.api.json
Enum JSONJAXBContext.JSONNotation

    java.lang.Object
      java.lang.Enum<JSONJAXBContext.JSONNotation>
          com.sun.jersey.api.json.JSONJAXBContext.JSONNotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JSONJAXBContext.JSONNotation>

Enclosing class:
  JSONJAXBContext

Deprecated.

    @Deprecated
    public static enum JSONJAXBContext.JSONNotation

extends java.lang.Enum<JSONJAXBContext.JSONNotation>

Enumeration of supported JSON notations.

Enum Constant Summary
`BADGERFISH` Deprecated.
`MAPPED` Deprecated.
`MAPPED_JETTISON` Deprecated.
`NATURAL` Deprecated.

Method Summary
`static JSONJAXBContext.JSONNotation` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static JSONJAXBContext.JSONNotation[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAPPED

    @Deprecated
    public static final JSONJAXBContext.JSONNotation MAPPED

  Deprecated.
  The mapped (default) JSON notation.

### MAPPED_JETTISON

    @Deprecated
    public static final JSONJAXBContext.JSONNotation MAPPED_JETTISON

  Deprecated.
  The mapped Jettison JSON notation.

### BADGERFISH

    @Deprecated
    public static final JSONJAXBContext.JSONNotation BADGERFISH

  Deprecated.
  The mapped Badgerfish JSON notation.

### NATURAL

    @Deprecated
    public static final JSONJAXBContext.JSONNotation NATURAL

  Deprecated.
  The natural JSON notation, leveraging tight JAXB RI integration.

Method Detail

### values

    public static JSONJAXBContext.JSONNotation[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSONJAXBContext.JSONNotation c : JSONJAXBContext.JSONNotation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSONJAXBContext.JSONNotation valueOf(java.lang.String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2017 Oracle Corporation. All Rights Reserved.